package com.goafanti.common.dao;

import com.goafanti.common.model.PublicReleaseDateClock;

import java.util.List;

/**
* @author Administrator
* @description 针对表【public_release_date_clock(公出日期打卡表)】的数据库操作Mapper
* @createDate 2024-04-22 11:38:40
* @Entity com.goafanti.common.model.PublicReleaseDateClock
*/
public interface PublicReleaseDateClockMapper {

    int deleteByPrimaryKey(Long id);

    int insert(PublicReleaseDateClock record);

    int insertSelective(PublicReleaseDateClock record);

    PublicReleaseDateClock selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(PublicReleaseDateClock record);

    int updateByPrimaryKey(PublicReleaseDateClock record);

    void insertBatch(List<PublicReleaseDateClock> list);

    List<PublicReleaseDateClock> selectByPrid(Integer id);


    void deleteByPrid(Integer id);
}
